# Spring Application Details
spring.application.name=customer-service
server.port=8082

# Enabling H2 Console
spring.h2.console.enabled=true

# H2 DataBase details
spring.datasource.url=jdbc:h2:mem:${application.name}db
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect

# Logging info
logging.file.path=.
logging.file.name=${application.name}.log
logging.level.com.sohan=DEBUG

# Zipkin info
spring.zipkin.base-url=http://zipkin:9411/
spring.sleuth.sampler.probability=1

management.security.enabled=false
management.endpoints.web.exposure.include=*
management.port=8082

eureka.client.serviceUrl.defaultZone=http://eureka:8761/eureka/